	COMMON /errno_/
.2:
	DS 2
	CSEG
	COMMON /Sysvec_/
.3:
	DS 8
	CSEG
	COMMON /Cbuffs_/
.4:
	DS 121
	CSEG
	COMMON /Stdbufs_/
.5:
	DS 2
	CSEG
	COMMON /condev_/
.6:
	DS 6
	CSEG
	COMMON /bdosout_/
.7:
	DS 6
	CSEG
	COMMON /bdosin_/
.8:
	DS 6
	CSEG
	COMMON /filedev_/
.9:
	DS 6
	CSEG
	COMMON /devtabl_/
.10:
	DS 66
	CSEG
	COMMON /chantab_/
.11:
	DS 88
	CSEG
	COMMON /errno_/
	DS 2
	CSEG
	COMMON /dpb_type_/
.12:
	DB 0
	DW 256
	DW 256
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 96
	DB 0
	DW 128
	DB 3
	DB 7
	DB 0
	DW 255
	DW 63
	DB 192
	DB 0
	DW 16
	DW 0
	DB 16
	DW 0
	DB 1
	DB 0
	DW 256
	DW 256
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 96
	DB 0
	DW 128
	DB 4
	DB 15
	DB 0
	DW 255
	DW 127
	DB 192
	DB 0
	DW 32
	DW 0
	DB 32
	DW 0
	DB 1
	DB 0
	DW 256
	DW 256
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 96
	DB 0
	DW 128
	DB 4
	DB 15
	DB 0
	DW 511
	DW 255
	DB 240
	DB 0
	DW 64
	DW 0
	DB 64
	DW 0
	DB 1
	DB 0
	DW 256
	DW 256
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 96
	DB 0
	DW 128
	DB 4
	DB 15
	DB 0
	DW 1023
	DW 511
	DB 255
	DB 0
	DW 128
	DW 0
	DB 0
	DW 1
	DB 1
	DB 0
	DW 256
	DW 256
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 96
	DB 0
	DW 128
	DB 4
	DB 15
	DB 0
	DW 2047
	DW 1023
	DB 255
	DB 255
	DW 256
	DW 0
	DB 0
	DW 2
	DB 2
	DB 0
	DW 256
	DW 256
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 96
	DB 0
	DW 128
	DB 5
	DB 31
	DB 1
	DW 2047
	DW 1023
	DB 255
	DB 0
	DW 256
	DW 0
	DB 0
	DW 2
	DB 2
	CSEG
	COMMON /dpb_flop_/
.13:
	DB 0
	DW 256
	DW 256
	DB 68
	DB 48
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 32
	DB 0
	DW 52
	DB 4
	DB 15
	DB 0
	DW 242
	DW 127
	DB 192
	DB 0
	DW 32
	DW 2
	DB 32
	DW 0
	DB 1
	DB 0
	DW 256
	DW 256
	DB 83
	DB 48
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 0
	DB 0
	DW 26
	DB 3
	DB 7
	DB 0
	DW 242
	DW 63
	DB 192
	DB 0
	DW 16
	DW 2
	DB 16
	DW 0
	DB 1
	DB 0
	DW 256
	DW 256
	DB 77
	DB 48
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 160
	DB 0
	DW 32
	DB 5
	DB 31
	DB 0
	DW 156
	DW 127
	DB 128
	DB 0
	DW 32
	DW 3
	DB 0
	DW 1
	DB 1
	CSEG
	COMMON /curOS_/
.14:
	DB 0
	CSEG
	COMMON /localhd_/
.15:
	DS 2
	CSEG
	COMMON /floppy_/
.16:
	DS 2
	CSEG
	COMMON /floptype_/
.17:
	DS 2
	CSEG
	COMMON /donak_/
.18:
	DW 0
	CSEG
	COMMON /sendfail_/
.19:
	DW 0
	CSEG
	COMMON /fastuser_/
.20:
	DS 0
	CSEG
	COMMON /netcode_/
.21:
	DS 0
	CSEG
	COMMON /reclen_/
.22:
	DS 0
	CSEG
	COMMON /recmsg_/
.23:
	DS 0
	CSEG
	COMMON /biosptr_/
.24:
	DW 1
	CSEG
	COMMON /netmsg_/
.25:
	DS 2
	CSEG
	COMMON /CCPdisk_/
.26:
	DW 4
	CSEG
	COMMON /CCPdisks_/
.27:
	DS 1
	CSEG
	COMMON /dph_/
.28:
	DS 2
	CSEG
	COMMON /dmsdpb_/
.29:
	DS 2
	CSEG
	COMMON /dmsdpbt_/
.30:
	DS 2
	CSEG
	COMMON /dmsdpbs_/
.31:
	DS 2
	CSEG
	COMMON /savedpb_/
.32:
	DS 35
	CSEG
	COMMON /curdisk_/
.33:
	DS 2
	CSEG
	PUBLIC getbits_
getbits_:	CALL .zsav##
	DW .34
	LXI H,-1
	XCHG
	LXI H,16-.34
	DAD SP
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	CALL .ls##
	CALL .cm##
	PUSH H
	LXI H,16-.34
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	INX H
	XCHG
	LXI H,18-.34
	DAD SP
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	CALL .sb##
	PUSH H
	LXI H,16-.34
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	POP H
	CALL .ur##
	POP D
	CALL .an##
	RET
.34 EQU 0
	PUBLIC PWInput_
PWInput_:	CALL .zsav##
	DW .35
	LXI H,.1+0
	PUSH H
	FUNC	printf_
	CALL printf_
	POP D
.36:
	LXI H,32
	PUSH H
	LXI H,16-.35
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,16-.35
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	clear_
	CALL clear_
	POP D
	POP D
	POP D
	LXI H,12-.35
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,2-.35
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	LXI H,14-.35
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,-1-.35
	DAD SP
	MOV M,E
	INX H
	MOV M,D
.37:
	LXI H,-1-.35
	DAD SP
	mov a,m
	inx h
	ora m
	JZ .38
.39:
	LXI H,255
	PUSH H
	LXI H,6
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	LXI D,255
	CALL .an##
	XCHG
	LXI H,1-.35
	DAD SP
	MOV M,E
	MOV A,D
	ORA E
	JNZ .40
	JMP .39
.40:
	LXI H,1-.35
	DAD SP
	MOV E,M
	MVI D,0
	XCHG
	JMP .41
.43:
.44:
	LXI H,.1+17
	PUSH H
	FUNC	printf_
	CALL printf_
	POP D
	LXI H,1
	RET
.45:
	JMP .36
.46:
	LXI H,.1+19
	PUSH H
	FUNC	printf_
	CALL printf_
	POP D
	LXI H,0
	RET
.47:
.48:
	LXI H,2-.35
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,12-.35
	DAD SP
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	CALL .ne##
	JZ .49
	LXI H,32
	PUSH H
	LXI H,4-.35
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DCX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	POP D
	MOV M,E
	LXI H,-1-.35
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	INX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	DCX H
.49:
	JMP .42
.50:
	LXI H,1-.35
	DAD SP
	MOV E,M
	MVI D,0
	PUSH D
	LXI H,4-.35
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	INX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	DCX H
	POP D
	MOV M,E
	LXI H,-1-.35
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DCX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	INX H
	JMP .42
.41:
	CALL .swt##
	DW 6
	DW 13,.43
	DW 10,.44
	DW 24,.45
	DW 3,.46
	DW 127,.47
	DW 8,.48
	DW .50
.42:
	JMP .37
.38:
.51:
.53:
	LXI H,255
	PUSH H
	LXI H,6
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	LXI D,255
	CALL .an##
	XCHG
	LXI H,-2-.35
	DAD SP
	MOV M,E
	MOV A,D
	ORA E
	JNZ .54
	JMP .53
.54:
	LXI H,-2-.35
	DAD SP
	MOV E,M
	MVI D,0
	LXI H,13
	CALL .eq##
	JNZ .56
	LXI H,-2-.35
	DAD SP
	MOV E,M
	MVI D,0
	LXI H,10
	CALL .eq##
	JZ .55
.56:
	LXI H,.1+22
	PUSH H
	FUNC	printf_
	CALL printf_
	POP D
	LXI H,1
	RET
.55:
	LXI H,-2-.35
	DAD SP
	MOV E,M
	MVI D,0
	LXI H,24
	CALL .eq##
	JNZ .36
	JMP .51
.52:
	RET
.35 EQU -6
.1:
	DB 69,110,116,101,114,32,80,97,115,115,119,111,114,100,58
	DB 32,0,10,0,94,67,0,10,0
	PUBLIC P0Assign_
P0Assign_:	CALL .zsav##
	DW .58
	LHLD .29
	SHLD .30
	LXI H,12-.58
	DAD SP
	MOV E,M
	MVI D,0
	PUSH D
	FUNC	getdph_
	CALL getdph_
	POP D
	JNZ .59
	LXI H,1
	RET
.59:
	LHLD .29
	SHLD .31
	LXI H,31
	PUSH H
	LHLD .29
	PUSH H
	LXI H,.32
	PUSH H
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
	LXI H,31
	PUSH H
	LXI H,.12
	PUSH H
	LHLD .29
	PUSH H
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
	LXI H,0
	PUSH H
	LHLD .29
	LXI D,15
	DAD D
	POP D
	MOV M,E
	LXI H,0
	PUSH H
	LHLD .29
	POP D
	MOV M,E
	LXI H,14-.58
	DAD SP
	MOV E,M
	MVI D,0
	PUSH D
	LHLD .29
	LXI D,13
	DAD D
	POP D
	MOV M,E
	LHLD .29
	RET
.58 EQU 0
	PUBLIC P0Unassi_
P0Unassi_:	CALL .zsav##
	DW .60
	LXI H,31
	PUSH H
	LXI H,.32
	PUSH H
	LHLD .31
	PUSH H
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
	LHLD .30
	SHLD .29
	RET
.60 EQU 0
	PUBLIC getdph_
getdph_:	CALL .zsav##
	DW .61
	LHLD .26
	MOV E,M
	MVI D,0
	XCHG
	MOV A,L
	STA .27
	LXI H,12-.61
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	seldisk_
	CALL seldisk_
	POP D
	SHLD .28
	LHLD .28
	MOV A,H
	ORA L
	JNZ .62
	LDA .27
	MOV L,A
	MVI H,0
	PUSH H
	FUNC	seldisk_
	CALL seldisk_
	POP D
	JNZ .63
	LXI H,.57+0
	PUSH H
	FUNC	printf_
	CALL printf_
	POP D
.63:
	LDA .27
	MOV L,A
	MVI H,0
	PUSH H
	LHLD .26
	POP D
	MOV M,E
	LXI H,0
	RET
.62:
	LHLD .28
	LXI D,10
	DAD D
	MOV E,M
	INX H
	MOV D,M
	LXI H,-16
	DAD D
	SHLD .29
	LHLD .28
	RET
.61 EQU 0
.57:
	DB 42,42,42,69,114,114,111,114,58,32,100,101,102,97,117
	DB 108,116,32,100,114,105,118,101,32,114,101,115,101,108,101
	DB 99,116,105,111,110,32,102,97,105,108,117,114,101,10,0
	PUBLIC wboot_
wboot_:	CALL .zsav##
	DW .65
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,1
	PUSH H
	FUNC	bios_
	CALL bios_
	POP D
	POP D
	POP D
	RET
.65 EQU 0
	PUBLIC seldisk_
seldisk_:	CALL .zsav##
	DW .66
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,16-.66
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,0
	PUSH H
	LXI H,9
	PUSH H
	FUNC	dmsbiosh_
	CALL dmsbiosh_
	XCHG
	LXI H,10
	DAD SP
	SPHL
	XCHG
	RET
.66 EQU 0
	PUBLIC settrk_
settrk_:	CALL .zsav##
	DW .67
	LXI H,0
	PUSH H
	LXI H,14-.67
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,10
	PUSH H
	FUNC	bios_
	CALL bios_
	POP D
	POP D
	POP D
	RET
.67 EQU 0
	PUBLIC setsect_
setsect_:	CALL .zsav##
	DW .68
	LXI H,0
	PUSH H
	LXI H,14-.68
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,11
	PUSH H
	FUNC	bios_
	CALL bios_
	POP D
	POP D
	POP D
	RET
.68 EQU 0
	PUBLIC setdma_
setdma_:	CALL .zsav##
	DW .69
	LXI H,0
	PUSH H
	LXI H,14-.69
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,12
	PUSH H
	FUNC	bios_
	CALL bios_
	POP D
	POP D
	POP D
	RET
.69 EQU 0
	PUBLIC biosread_
biosread_:	CALL .zsav##
	DW .70
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,13
	PUSH H
	FUNC	bios_
	CALL bios_
	POP D
	POP D
	POP D
	RET
.70 EQU 0
	PUBLIC bioswrit_
bioswrit_:	CALL .zsav##
	DW .71
	LXI H,0
	PUSH H
	LXI H,14-.71
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,14
	PUSH H
	FUNC	bios_
	CALL bios_
	POP D
	POP D
	POP D
	RET
.71 EQU 0
	PUBLIC sectran_
sectran_:	CALL .zsav##
	DW .72
	LXI H,0
	PUSH H
	LXI H,16-.72
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,16-.72
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,0
	PUSH H
	LXI H,16
	PUSH H
	FUNC	dmsbiosh_
	CALL dmsbiosh_
	XCHG
	LXI H,10
	DAD SP
	SPHL
	XCHG
	RET
.72 EQU 0
	PUBLIC netlock_
netlock_:	CALL .zsav##
	DW .73
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,32
	PUSH H
	FUNC	dmsbiosh_
	CALL dmsbiosh_
	XCHG
	LXI H,10
	DAD SP
	SPHL
	XCHG
	RET
.73 EQU 0
	PUBLIC cpmmap_
cpmmap_:	CALL .zsav##
	DW .74
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,33
	PUSH H
	FUNC	dmsbiosh_
	CALL dmsbiosh_
	XCHG
	LXI H,10
	DAD SP
	SPHL
	XCHG
	RET
.74 EQU 0
	PUBLIC netunloc_
netunloc_:	CALL .zsav##
	DW .75
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,34
	PUSH H
	FUNC	dmsbiosh_
	CALL dmsbiosh_
	XCHG
	LXI H,10
	DAD SP
	SPHL
	XCHG
	RET
.75 EQU 0
	PUBLIC lclhdsta_
lclhdsta_:	CALL .zsav##
	DW .76
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,16-.76
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,0
	PUSH H
	LXI H,44
	PUSH H
	FUNC	dmsbiosh_
	CALL dmsbiosh_
	XCHG
	LXI H,10
	DAD SP
	SPHL
	XCHG
	RET
.76 EQU 0
	PUBLIC hdrest_
hdrest_:	CALL .zsav##
	DW .77
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,16-.77
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,0
	PUSH H
	LXI H,48
	PUSH H
	FUNC	dmsbiosh_
	CALL dmsbiosh_
	XCHG
	LXI H,10
	DAD SP
	SPHL
	XCHG
	RET
.77 EQU 0
	PUBLIC hdstat_
hdstat_:	CALL .zsav##
	DW .78
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,16-.78
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,0
	PUSH H
	LXI H,45
	PUSH H
	FUNC	dmsbiosh_
	CALL dmsbiosh_
	XCHG
	LXI H,10
	DAD SP
	SPHL
	XCHG
	RET
.78 EQU 0
	PUBLIC displays_
displays_:	CALL .zsav##
	DW .79
	LXI H,12-.79
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,9
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.79 EQU 0
	COMMON /.lnprm/
	DS 4
	END
